#include "gresbstatusenquiry.h"
#include <QTableWidgetItem>

gresbStatusEnquiry::gresbStatusEnquiry(QWidget *parent) :
    QWidget(parent)
{
    mainLayout = new QGridLayout;
    readSPWStatusButton = new QPushButton(tr("Read SpaceWire Status"));
    statusQueryTable = new QTableWidget(10, 3);
    statusQueryTable->setHorizontalHeaderLabels(QStringList() << "link 0" << "link 1" << "link 2");
    statusQueryTable->setVerticalHeaderLabels(QStringList() << "Running"
                                              << "Clock divisor"
                                              << "Received"
                                              << "Packets"
                                              << "Data (bytes)"
                                              << "EEPs"
                                              << "Truncated"
                                              << "Transmitted"
                                              << "Packets"
                                              << "Data (bytes)");
    for (int r = 0; r < 10; r++)
    {
        for (int c = 0; c < 3; c++)
        {
            statusQueryTable->setItem(r, c, new QTableWidgetItem("-"));
        }
    }
    mainLayout->addWidget(statusQueryTable,0 , 0, 0);
    mainLayout->addWidget(readSPWStatusButton,1, 0, 0);
    setLayout(mainLayout);
}
